Skip to main content
GET
Get mileage summary

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business

Query Parameters

include_deleted
boolean
default:false

Include deleted trips in the summary

purpose
enum<string>

Filter by trip purpose. Can be specified multiple times for multiple purposes.

Available options:
UNREVIEWED,
BUSINESS,
PERSONAL
vehicle_ids
string

Comma-separated list of vehicle UUIDs to filter by

start_date
string<date>

Filter trips on or after this date (YYYY-MM-DD)

end_date
string<date>

Filter trips on or before this date (YYYY-MM-DD)

year
integer

Filter trips by year

Response

Mileage summary statistics

years
object[]
required

Yearly breakdown of mileage statistics, sorted by year descending